/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/21 13:51
 */
@ApiModel("VisitorParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VisitorListParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 6356324790945367160L;

    @ApiModelProperty(value = "访客来源", example = "内部邀请", required = true)
    String visitorSource;

    @ApiModelProperty(value = "来访原因", example = "2022-04-19 14:28:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime appOfVisitTime;

    @ApiModelProperty(value = "被访人id", example = "1", required = true)
    String intervieweeId;

    @ApiModelProperty(value = "来访原因", example = "看看", required = true)
    String reason;

    @ApiModelProperty(value = "访客所属公司", example = "壹润科技", required = true)
    String orgId;

    @ApiModelProperty(value = "邀请人数", example = "1", required = true)
    Integer numOfVisitor;

    List<VisitorInfoParam> visitorInfos;
}
