/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.dept;

import com.yiring.app.param.dept.DepartmentAddParam;
import com.yiring.app.param.dept.DepartmentFindParam;
import com.yiring.app.vo.dept.DepartmentInfoVo;
import com.yiring.app.vo.dept.DepartmentVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * 部门管理
 * @author LJ-2204
 * @date 2022/4/19
 */
public interface DepartmentService {
    /**
     * 新增部门
     * @param param DepartmentAddParam
     * @return Result<String>
     */
    Result<String> addDepartment(DepartmentAddParam param);

    /**
     * 查询树状图
     * @param param DepartmentFindParam
     * @return Result<PageVo<DepartmentVo>>
     */
    Result<PageVo<DepartmentVo>> findDepartmentTree(DepartmentFindParam param);

    /**
     * 根据id查询详细信息
     * @param idParam IdParam
     * @return Result<DepartmentInfoVo>
     */
    Result<DepartmentInfoVo> findDepartmentInfo(IdParam idParam);

    /**
     * 导出部门
     * @param param DepartmentFindParam
     * @param response HttpServletResponse
     */
    void exportDepartment(DepartmentFindParam param, HttpServletResponse response);

    /**
     * 逻辑删除部门
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> deleteDepartment(IdParam idParam);

    /**
     * 启用/停用
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> stateDepartment(IdParam idParam);
}
