/* (C) 2022 YiRing, Inc. */
package com.yiring.app.web.map;

import com.alibaba.fastjson.JSONObject;
import com.yiring.app.feign.MapClient;
import com.yiring.auth.util.ZyUtil;
import com.yiring.common.core.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import java.io.Serializable;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 地图控制器
 * @author Administrator
 * @version 1.0
 * @description: TODO
 * @date 2022/4/24 13:48
 */
@Slf4j
@Validated
@Api(tags = "Map(地图)")
@RestController
@RequestMapping("/map/")
public class MapController {

    @Resource
    MapClient mapClient;

    @GetMapping("/mapSelect")
    @ApiImplicitParams({ @ApiImplicitParam(value = "orgId", required = true, name = "orgId") })
    public Result<Serializable> fail(String orgId) {
        String login = ZyUtil.login();
        JSONObject jsonObject = mapClient.selectMap(orgId, "bearer " + login);
        return Result.ok(jsonObject.get("data").toString());
    }
}
