/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.domain.post;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;
import org.hibernate.annotations.GenericGenerator;
import org.hibernate.snowflake.SnowflakeId;

/**
 * 岗位
 *
 * @author ifzm
 * 2018/9/3 15:45
 */

@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Comment("系统岗位")
@Table(name = "SYS_POST")
public class Post implements Serializable {

    @Serial
    private static final long serialVersionUID = 3744892781714515997L;

    @Comment("主键")
    @Id
    @GeneratedValue(generator = SnowflakeId.GENERATOR)
    @GenericGenerator(name = SnowflakeId.GENERATOR, strategy = SnowflakeId.Strategy.LONG)
    Long id;

    @Comment("名称")
    String name;

    @Comment("描述")
    String describe;

    @Comment("创建时间")
    LocalDateTime createTime;

    @Comment("更新时间")
    LocalDateTime updateTime;

    @Comment("是否启用")
    Boolean enable;
}
